Page MenuHomePhabricator

Delay loading the entry point dialog till we identify a redlink to show
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/182163/ added some more strict checks to see if redlinks for CX need to be shown or not, but we are loading the ext.cx.entrypoint dialog unconditionally and that module can be conditionally loaded only when a redlink is visible on the page.

Event Timeline

santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added a project: LE-Sprint-81.
santhosh set Security to None.
santhosh added a subscriber: santhosh.
santhosh claimed this task.Jan 2 2015, 11:42 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-81 board.

Change 182448 had a related patch set uploaded (by Santhosh):
Delay loading the entry point dialog till we identify a redlink to show

https://gerrit.wikimedia.org/r/182448

Patch-For-Review

santhosh moved this task from In Progress to In Review on the LE-Sprint-81 board.Jan 2 2015, 11:44 AM

Change 182448 merged by jenkins-bot:
Delay loading the entry point dialog till we identify a redlink to show

https://gerrit.wikimedia.org/r/182448

Amire80 closed this task as Resolved.Jan 6 2015, 7:41 PM
Amire80 moved this task from In Review to Done on the LE-Sprint-81 board.
Amire80 added a subscriber: Amire80.
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:05 PM
RandomDSdevel awarded a token.